// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.12.4
// source: envelope.proto

package proto_buf

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Envelope struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Before      *Envelope_Value  `protobuf:"bytes,1,opt,name=before,proto3" json:"before,omitempty"`
	After       *Envelope_Value  `protobuf:"bytes,2,opt,name=after,proto3" json:"after,omitempty"`
	Source      *Envelope_Source `protobuf:"bytes,3,opt,name=source,proto3" json:"source,omitempty"`
	Op          string           `protobuf:"bytes,4,opt,name=op,proto3" json:"op,omitempty"`
	TsMs        int64            `protobuf:"varint,5,opt,name=ts_ms,json=tsMs,proto3" json:"ts_ms,omitempty"`
	Transaction *EnvelopeBlock   `protobuf:"bytes,6,opt,name=transaction,proto3" json:"transaction,omitempty"`
}

func (x *Envelope) Reset() {
	*x = Envelope{}
	if protoimpl.UnsafeEnabled {
		mi := &file_envelope_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Envelope) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Envelope) ProtoMessage() {}

func (x *Envelope) ProtoReflect() protoreflect.Message {
	mi := &file_envelope_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Envelope.ProtoReflect.Descriptor instead.
func (*Envelope) Descriptor() ([]byte, []int) {
	return file_envelope_proto_rawDescGZIP(), []int{0}
}

func (x *Envelope) GetBefore() *Envelope_Value {
	if x != nil {
		return x.Before
	}
	return nil
}

func (x *Envelope) GetAfter() *Envelope_Value {
	if x != nil {
		return x.After
	}
	return nil
}

func (x *Envelope) GetSource() *Envelope_Source {
	if x != nil {
		return x.Source
	}
	return nil
}

func (x *Envelope) GetOp() string {
	if x != nil {
		return x.Op
	}
	return ""
}

func (x *Envelope) GetTsMs() int64 {
	if x != nil {
		return x.TsMs
	}
	return 0
}

func (x *Envelope) GetTransaction() *EnvelopeBlock {
	if x != nil {
		return x.Transaction
	}
	return nil
}

type Envelope_Value struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Address     string   `protobuf:"bytes,1,opt,name=address,proto3" json:"address,omitempty"`
	Topics      []string `protobuf:"bytes,2,rep,name=topics,proto3" json:"topics,omitempty"`
	Data        []byte   `protobuf:"bytes,3,opt,name=data,proto3" json:"data,omitempty"`
	Blocknumber int64    `protobuf:"varint,4,opt,name=blocknumber,proto3" json:"blocknumber,omitempty"`
	Txhash      string   `protobuf:"bytes,5,opt,name=txhash,proto3" json:"txhash,omitempty"`
	Txindex     int64    `protobuf:"varint,6,opt,name=txindex,proto3" json:"txindex,omitempty"`
	Blockhash   string   `protobuf:"bytes,7,opt,name=blockhash,proto3" json:"blockhash,omitempty"`
	Index       int64    `protobuf:"varint,8,opt,name=index,proto3" json:"index,omitempty"`
	Removed     bool     `protobuf:"varint,9,opt,name=removed,proto3" json:"removed,omitempty"`
	Createdat   int64    `protobuf:"varint,10,opt,name=createdat,proto3" json:"createdat,omitempty"`
	Modifiedat  int64    `protobuf:"varint,11,opt,name=modifiedat,proto3" json:"modifiedat,omitempty"`
	EventType   string   `protobuf:"bytes,12,opt,name=event_type,json=eventType,proto3" json:"event_type,omitempty"`
	EventData   string   `protobuf:"bytes,13,opt,name=event_data,json=eventData,proto3" json:"event_data,omitempty"`
}

func (x *Envelope_Value) Reset() {
	*x = Envelope_Value{}
	if protoimpl.UnsafeEnabled {
		mi := &file_envelope_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Envelope_Value) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Envelope_Value) ProtoMessage() {}

func (x *Envelope_Value) ProtoReflect() protoreflect.Message {
	mi := &file_envelope_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Envelope_Value.ProtoReflect.Descriptor instead.
func (*Envelope_Value) Descriptor() ([]byte, []int) {
	return file_envelope_proto_rawDescGZIP(), []int{0, 0}
}

func (x *Envelope_Value) GetAddress() string {
	if x != nil {
		return x.Address
	}
	return ""
}

func (x *Envelope_Value) GetTopics() []string {
	if x != nil {
		return x.Topics
	}
	return nil
}

func (x *Envelope_Value) GetData() []byte {
	if x != nil {
		return x.Data
	}
	return nil
}

func (x *Envelope_Value) GetBlocknumber() int64 {
	if x != nil {
		return x.Blocknumber
	}
	return 0
}

func (x *Envelope_Value) GetTxhash() string {
	if x != nil {
		return x.Txhash
	}
	return ""
}

func (x *Envelope_Value) GetTxindex() int64 {
	if x != nil {
		return x.Txindex
	}
	return 0
}

func (x *Envelope_Value) GetBlockhash() string {
	if x != nil {
		return x.Blockhash
	}
	return ""
}

func (x *Envelope_Value) GetIndex() int64 {
	if x != nil {
		return x.Index
	}
	return 0
}

func (x *Envelope_Value) GetRemoved() bool {
	if x != nil {
		return x.Removed
	}
	return false
}

func (x *Envelope_Value) GetCreatedat() int64 {
	if x != nil {
		return x.Createdat
	}
	return 0
}

func (x *Envelope_Value) GetModifiedat() int64 {
	if x != nil {
		return x.Modifiedat
	}
	return 0
}

func (x *Envelope_Value) GetEventType() string {
	if x != nil {
		return x.EventType
	}
	return ""
}

func (x *Envelope_Value) GetEventData() string {
	if x != nil {
		return x.EventData
	}
	return ""
}

type Envelope_Source struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Version   string `protobuf:"bytes,1,opt,name=version,proto3" json:"version,omitempty"`
	Connector string `protobuf:"bytes,2,opt,name=connector,proto3" json:"connector,omitempty"`
	Name      string `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	TsMs      int64  `protobuf:"varint,4,opt,name=ts_ms,json=tsMs,proto3" json:"ts_ms,omitempty"`
	Snapshot  string `protobuf:"bytes,5,opt,name=snapshot,proto3" json:"snapshot,omitempty"`
	Db        string `protobuf:"bytes,6,opt,name=db,proto3" json:"db,omitempty"`
	Sequence  string `protobuf:"bytes,7,opt,name=sequence,proto3" json:"sequence,omitempty"`
	Schema    string `protobuf:"bytes,8,opt,name=schema,proto3" json:"schema,omitempty"`
	Table     string `protobuf:"bytes,9,opt,name=table,proto3" json:"table,omitempty"`
	TxId      int64  `protobuf:"varint,10,opt,name=txId,proto3" json:"txId,omitempty"`
	Lsn       int64  `protobuf:"varint,11,opt,name=lsn,proto3" json:"lsn,omitempty"`
	Xmin      int64  `protobuf:"varint,12,opt,name=xmin,proto3" json:"xmin,omitempty"`
}

func (x *Envelope_Source) Reset() {
	*x = Envelope_Source{}
	if protoimpl.UnsafeEnabled {
		mi := &file_envelope_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Envelope_Source) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Envelope_Source) ProtoMessage() {}

func (x *Envelope_Source) ProtoReflect() protoreflect.Message {
	mi := &file_envelope_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Envelope_Source.ProtoReflect.Descriptor instead.
func (*Envelope_Source) Descriptor() ([]byte, []int) {
	return file_envelope_proto_rawDescGZIP(), []int{0, 1}
}

func (x *Envelope_Source) GetVersion() string {
	if x != nil {
		return x.Version
	}
	return ""
}

func (x *Envelope_Source) GetConnector() string {
	if x != nil {
		return x.Connector
	}
	return ""
}

func (x *Envelope_Source) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Envelope_Source) GetTsMs() int64 {
	if x != nil {
		return x.TsMs
	}
	return 0
}

func (x *Envelope_Source) GetSnapshot() string {
	if x != nil {
		return x.Snapshot
	}
	return ""
}

func (x *Envelope_Source) GetDb() string {
	if x != nil {
		return x.Db
	}
	return ""
}

func (x *Envelope_Source) GetSequence() string {
	if x != nil {
		return x.Sequence
	}
	return ""
}

func (x *Envelope_Source) GetSchema() string {
	if x != nil {
		return x.Schema
	}
	return ""
}

func (x *Envelope_Source) GetTable() string {
	if x != nil {
		return x.Table
	}
	return ""
}

func (x *Envelope_Source) GetTxId() int64 {
	if x != nil {
		return x.TxId
	}
	return 0
}

func (x *Envelope_Source) GetLsn() int64 {
	if x != nil {
		return x.Lsn
	}
	return 0
}

func (x *Envelope_Source) GetXmin() int64 {
	if x != nil {
		return x.Xmin
	}
	return 0
}

type EnvelopeBlock struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id                  string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	TotalOrder          int64  `protobuf:"varint,2,opt,name=total_order,json=totalOrder,proto3" json:"total_order,omitempty"`
	DataCollectionOrder int64  `protobuf:"varint,3,opt,name=data_collection_order,json=dataCollectionOrder,proto3" json:"data_collection_order,omitempty"`
}

func (x *EnvelopeBlock) Reset() {
	*x = EnvelopeBlock{}
	if protoimpl.UnsafeEnabled {
		mi := &file_envelope_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EnvelopeBlock) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EnvelopeBlock) ProtoMessage() {}

func (x *EnvelopeBlock) ProtoReflect() protoreflect.Message {
	mi := &file_envelope_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EnvelopeBlock.ProtoReflect.Descriptor instead.
func (*EnvelopeBlock) Descriptor() ([]byte, []int) {
	return file_envelope_proto_rawDescGZIP(), []int{0, 2}
}

func (x *EnvelopeBlock) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *EnvelopeBlock) GetTotalOrder() int64 {
	if x != nil {
		return x.TotalOrder
	}
	return 0
}

func (x *EnvelopeBlock) GetDataCollectionOrder() int64 {
	if x != nil {
		return x.DataCollectionOrder
	}
	return 0
}

var File_envelope_proto protoreflect.FileDescriptor

var file_envelope_proto_rawDesc = []byte{
	0x0a, 0x0e, 0x65, 0x6e, 0x76, 0x65, 0x6c, 0x6f, 0x70, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x09, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x5f, 0x62, 0x75, 0x66, 0x22, 0xfc, 0x07, 0x0a, 0x08,
	0x45, 0x6e, 0x76, 0x65, 0x6c, 0x6f, 0x70, 0x65, 0x12, 0x31, 0x0a, 0x06, 0x62, 0x65, 0x66, 0x6f,
	0x72, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x5f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6e, 0x76, 0x65, 0x6c, 0x6f, 0x70, 0x65, 0x2e, 0x56, 0x61,
	0x6c, 0x75, 0x65, 0x52, 0x06, 0x62, 0x65, 0x66, 0x6f, 0x72, 0x65, 0x12, 0x2f, 0x0a, 0x05, 0x61,
	0x66, 0x74, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x5f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6e, 0x76, 0x65, 0x6c, 0x6f, 0x70, 0x65, 0x2e,
	0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x05, 0x61, 0x66, 0x74, 0x65, 0x72, 0x12, 0x32, 0x0a, 0x06,
	0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x5f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6e, 0x76, 0x65, 0x6c, 0x6f, 0x70,
	0x65, 0x2e, 0x53, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x52, 0x06, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
	0x12, 0x0e, 0x0a, 0x02, 0x6f, 0x70, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x6f, 0x70,
	0x12, 0x13, 0x0a, 0x05, 0x74, 0x73, 0x5f, 0x6d, 0x73, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x04, 0x74, 0x73, 0x4d, 0x73, 0x12, 0x3b, 0x0a, 0x0b, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x5f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6e, 0x76, 0x65, 0x6c, 0x6f, 0x70, 0x65, 0x2e,
	0x62, 0x6c, 0x6f, 0x63, 0x6b, 0x52, 0x0b, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x1a, 0xeb, 0x02, 0x0a, 0x05, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x18, 0x0a, 0x07,
	0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x61,
	0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x12, 0x16, 0x0a, 0x06, 0x74, 0x6f, 0x70, 0x69, 0x63, 0x73,
	0x18, 0x02, 0x20, 0x03, 0x28, 0x09, 0x52, 0x06, 0x74, 0x6f, 0x70, 0x69, 0x63, 0x73, 0x12, 0x12,
	0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x64, 0x61,
	0x74, 0x61, 0x12, 0x20, 0x0a, 0x0b, 0x62, 0x6c, 0x6f, 0x63, 0x6b, 0x6e, 0x75, 0x6d, 0x62, 0x65,
	0x72, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0b, 0x62, 0x6c, 0x6f, 0x63, 0x6b, 0x6e, 0x75,
	0x6d, 0x62, 0x65, 0x72, 0x12, 0x16, 0x0a, 0x06, 0x74, 0x78, 0x68, 0x61, 0x73, 0x68, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x74, 0x78, 0x68, 0x61, 0x73, 0x68, 0x12, 0x18, 0x0a, 0x07,
	0x74, 0x78, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x18, 0x06, 0x20, 0x01, 0x28, 0x03, 0x52, 0x07, 0x74,
	0x78, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x12, 0x1c, 0x0a, 0x09, 0x62, 0x6c, 0x6f, 0x63, 0x6b, 0x68,
	0x61, 0x73, 0x68, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x62, 0x6c, 0x6f, 0x63, 0x6b,
	0x68, 0x61, 0x73, 0x68, 0x12, 0x14, 0x0a, 0x05, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x18, 0x08, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x05, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x12, 0x18, 0x0a, 0x07, 0x72, 0x65,
	0x6d, 0x6f, 0x76, 0x65, 0x64, 0x18, 0x09, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07, 0x72, 0x65, 0x6d,
	0x6f, 0x76, 0x65, 0x64, 0x12, 0x1c, 0x0a, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x61,
	0x74, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64,
	0x61, 0x74, 0x12, 0x1e, 0x0a, 0x0a, 0x6d, 0x6f, 0x64, 0x69, 0x66, 0x69, 0x65, 0x64, 0x61, 0x74,
	0x18, 0x0b, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x6d, 0x6f, 0x64, 0x69, 0x66, 0x69, 0x65, 0x64,
	0x61, 0x74, 0x12, 0x1d, 0x0a, 0x0a, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x79, 0x70, 0x65,
	0x18, 0x0c, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x54, 0x79, 0x70,
	0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x64, 0x61, 0x74, 0x61, 0x18,
	0x0d, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x44, 0x61, 0x74, 0x61,
	0x1a, 0x99, 0x02, 0x0a, 0x06, 0x53, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x76,
	0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x76, 0x65,
	0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x1c, 0x0a, 0x09, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74,
	0x6f, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63,
	0x74, 0x6f, 0x72, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x13, 0x0a, 0x05, 0x74, 0x73, 0x5f, 0x6d, 0x73,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x04, 0x74, 0x73, 0x4d, 0x73, 0x12, 0x1a, 0x0a, 0x08,
	0x73, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08,
	0x73, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x64, 0x62, 0x18, 0x06,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x64, 0x62, 0x12, 0x1a, 0x0a, 0x08, 0x73, 0x65, 0x71, 0x75,
	0x65, 0x6e, 0x63, 0x65, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x73, 0x65, 0x71, 0x75,
	0x65, 0x6e, 0x63, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x63, 0x68, 0x65, 0x6d, 0x61, 0x18, 0x08,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x73, 0x63, 0x68, 0x65, 0x6d, 0x61, 0x12, 0x14, 0x0a, 0x05,
	0x74, 0x61, 0x62, 0x6c, 0x65, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x74, 0x61, 0x62,
	0x6c, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x78, 0x49, 0x64, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x04, 0x74, 0x78, 0x49, 0x64, 0x12, 0x10, 0x0a, 0x03, 0x6c, 0x73, 0x6e, 0x18, 0x0b, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x03, 0x6c, 0x73, 0x6e, 0x12, 0x12, 0x0a, 0x04, 0x78, 0x6d, 0x69, 0x6e,
	0x18, 0x0c, 0x20, 0x01, 0x28, 0x03, 0x52, 0x04, 0x78, 0x6d, 0x69, 0x6e, 0x1a, 0x6c, 0x0a, 0x05,
	0x62, 0x6c, 0x6f, 0x63, 0x6b, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x74, 0x6f, 0x74, 0x61, 0x6c, 0x5f, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x74, 0x6f, 0x74, 0x61,
	0x6c, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x12, 0x32, 0x0a, 0x15, 0x64, 0x61, 0x74, 0x61, 0x5f, 0x63,
	0x6f, 0x6c, 0x6c, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x13, 0x64, 0x61, 0x74, 0x61, 0x43, 0x6f, 0x6c, 0x6c, 0x65,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x42, 0x36, 0x5a, 0x34, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6b, 0x61, 0x2e, 0x72, 0x61, 0x2e, 0x69,
	0x6c, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2d, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x63, 0x74, 0x2d,
	0x74, 0x65, 0x73, 0x74, 0x2f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x63, 0x6f,
	0x69, 0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_envelope_proto_rawDescOnce sync.Once
	file_envelope_proto_rawDescData = file_envelope_proto_rawDesc
)

func file_envelope_proto_rawDescGZIP() []byte {
	file_envelope_proto_rawDescOnce.Do(func() {
		file_envelope_proto_rawDescData = protoimpl.X.CompressGZIP(file_envelope_proto_rawDescData)
	})
	return file_envelope_proto_rawDescData
}

var file_envelope_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_envelope_proto_goTypes = []interface{}{
	(*Envelope)(nil),        // 0: proto_buf.Envelope
	(*Envelope_Value)(nil),  // 1: proto_buf.Envelope.Value
	(*Envelope_Source)(nil), // 2: proto_buf.Envelope.Source
	(*EnvelopeBlock)(nil),   // 3: proto_buf.Envelope.block
}
var file_envelope_proto_depIdxs = []int32{
	1, // 0: proto_buf.Envelope.before:type_name -> proto_buf.Envelope.Value
	1, // 1: proto_buf.Envelope.after:type_name -> proto_buf.Envelope.Value
	2, // 2: proto_buf.Envelope.source:type_name -> proto_buf.Envelope.Source
	3, // 3: proto_buf.Envelope.transaction:type_name -> proto_buf.Envelope.block
	4, // [4:4] is the sub-list for method output_type
	4, // [4:4] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_envelope_proto_init() }
func file_envelope_proto_init() {
	if File_envelope_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_envelope_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Envelope); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_envelope_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Envelope_Value); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_envelope_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Envelope_Source); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_envelope_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EnvelopeBlock); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_envelope_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_envelope_proto_goTypes,
		DependencyIndexes: file_envelope_proto_depIdxs,
		MessageInfos:      file_envelope_proto_msgTypes,
	}.Build()
	File_envelope_proto = out.File
	file_envelope_proto_rawDesc = nil
	file_envelope_proto_goTypes = nil
	file_envelope_proto_depIdxs = nil
}
